%define debug_package %{nil}

Summary:             Prometheus blackbox prober exporter
Name:                blackbox_exporter
Version:             0.23.0
Release:             3%{?dist}
License:             Apache-2.0
URL:                 https://github.com/prometheus/blackbox_exporter
Source0:             https://github.com/prometheus/blackbox_exporter/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:             %{name}.service
# cd %%{name}-%%{version}
# go mod vendor
# tar -zcf vendor.tar.gz vendor/
Source2:             vendor.tar.gz

BuildRequires:       golang promu systemd-rpm-macros
Requires(pre):       prometheus

%description
The blackbox exporter allows blackbox probing of endpoints
over HTTP, HTTPS, DNS, TCP and ICMP.

%prep
%autosetup -a2 -n %{name}-%{version}

%build
export GOFLAGS="-mod=vendor"
promu build

%install
mkdir -p %{buildroot}{%{_bindir},%{_unitdir},%{_sysconfdir}/prometheus}
install -m0755 %{name}-%{version} %{buildroot}%{_bindir}/%{name}
install -m0644 blackbox.yml %{buildroot}%{_sysconfdir}/prometheus/blackbox.yml
install -m0644 %{SOURCE1} %{buildroot}/%{_unitdir}/%{name}.service

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%files
%doc LICENSE README.md CONFIGURATION.md example.yml
%{_bindir}/*
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/prometheus/blackbox.yml

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.23.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.23.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 Miaojun Dong <zoedong@tencent.com> - 0.23.0-1
- initial build
